<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous" />

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css" />
    <link href="vendor/bootstrap-4.3.1-dist/css/bootstrap.min.css" rel="stylesheet"/>
    <link href="css/main.css" rel="stylesheet"/>
    <title>AF Connect Demo</title>
    <style>
        body {
            background-color: #ffffff;
        }
        .site-button {
            margin-bottom: 1rem;
        }
        .popover {
            height: 39px;
        }
    </style>
</head>
<body>
    <div
        style="background-color: #aaa; color: #eee; font-weight: 600; padding:4px; text-align: center"
    >
        This page is for demonstration purposes only. Find more information at
        <a
            style="color: #fff"
            href="https://github.com/MagnumOpuses/af-connect-module"
        >https://github.com/MagnumOpuses/af-connect-module</a
        >
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-12 p-2 mt-2 site-header">
                <div class="row">
                    <div class="col-md-6 pt-2 mt-2">
                        <p class="site-name"><img src="/img/site-logo.png"> XXXXXX</p>
                    </div>
                    <div class="col-md-6 pt-2 mt-2 site-control">
                        <div class="site-control-block" tabindex="0">
                            <i class="site-nav-item">Hem</i>
                            <i class="site-nav-item">Alla jobb</i>
                            <input type="button" class="site-button" data-toggle="popover" data-placement="bottom" title="Button as demo only" value="Logga ut"/>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-lg-6 pt-2 mt-2">
                        <div class="site-header-labels">
                            <p id="site-header-label-top">Ansökan för:</p>
                            <p id="site-header-label-mid">Systemutvecklare</p>
                            <p id="site-header-label-bot">Jobtech Development</p>
                            <div>
                                <p id="feedback-text" style="font-weight: 600; height: 16px;"></p>
                                <input id="create-cv-button" type="button" class="site-button" value="Skapa CV" onclick="document.getElementById('cv-data-holder').scrollIntoView();"></input>
                                <div id="button-spacer" style="display: inline; padding: 12px;">Eller</div>
                                <div id="af-connect-button" class="af-connect-module"
                                    data-purpose="WyJBbnPDtmthbiB0aWxsIHJvbGwgJ1N5c3RlbSB1dHZlY2tsYXJlJyBww6UgJ0pvYlRlY2hEZXYnIl0="
                                    data-af_connect_url="<%= afConnectUrl %>"
                                    data-af_portability_url="<%= afPortabilityUrl %>"
                                    data-af_portability_api_key="<%= afPortabilityApiKey %>"
                                    data-company_name="Jobtech Development"
                                    data-job_title="Systemutvecklare"
                                    data-on_response="onResponse">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-0 col-lg-6 pt-2 mt-2">
                        <div class="d-none d-lg-block">
                            <img src="/img/Artboard.png" style="width: 100%;">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 16px; background-color: #ffffff;">
            <div class="col-md-12 pt-2 mt-2 site-body">
                <%- include('../partials/cv-form.ejs') %>
            </div>
        </div>
    </div>
    <script src="js/main.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="vendor/af-connect-module-1.2.0-beta-dist/af-connect-module.bundle.js"></script>

    <script type="text/javascript">
        function saveCV() {
            alert("Your CV has been saved. Thank you for your application.");
        }
    </script>

    <script>
        let _timer=0;
        $('.site-button').popover().click(function () {
            console.log("click");
            if (_timer !== 0)
                console.log("undefined")
            else {
                clearTimeout(_timer);
                console.log("timer cleared");
                _timer=0;
            }
            console.log("setting timer");
            let _timer = setTimeout(function() {
                console.log("timeout !");
                $('.site-button').popover('hide');
            }, 3000);
        });
    </script>

</body>
</html>
